Events
Get an event
Read one event, including private ones. Requires the `events:read` scope.
GET
Read one event, including private ones.
Requires the events:read scope.
secretKeyheader
AuthorizationBearer <token>A secret key: wc_live_... or wc_test_.... Keep it on your server.
id*stringMatch
^evt_[0-9A-Za-z]{6,64}$The event.
application/json- response
id*stringMatch
^evt_[0-9A-Za-z]{6,64}$mode*stringlive or test. Always the mode of the API key that made the request.
Value in
"live""test"series_id*|Set when the event is an occurrence of a series.
slug*stringtitle*stringdescription*string|nullstarts_at*stringISO 8601 with a UTC offset.
Format
date-timeends_at*|ISO 8601 with a UTC offset.
Format
date-timetimezone*stringlocation_name*string|nulllocation_address*string|nullonline_url*string|nullcapacity*integer|nullmax_guests*integerwaitlist_enabled*booleanvisibility*stringpublic events are listed and indexed. unlisted events work by link and embed but are not listed. private events are only visible through this API and the dashboard.
Value in
"public""unlisted""private"status*stringValue in
"draft""published""cancelled"price_note*string|nullcover_image_url*string|nullfields*array<>counts*url*stringHosted event page.
created_at*stringISO 8601 with a UTC offset.
Format
date-timeupdated_at*stringISO 8601 with a UTC offset.
Format
date-timecurl -X GET 'https://api.whocoming.com/v1/events/string'Example Response
{ "id": "string", "mode": "live", "series_id": "string", "slug": "string", "title": "string", "description": "string", "starts_at": "2019-08-24T14:15:22Z", "ends_at": "2019-08-24T14:15:22Z", "timezone": "string", "location_name": "string", "location_address": "string", "online_url": "string", "capacity": 0, "max_guests": 0, "waitlist_enabled": true, "visibility": "public", "status": "draft", "price_note": "string", "cover_image_url": "string", "fields": [ { "key": "string", "label": "string", "type": "text", "required": true, "options": [ "string" ] } ], "counts": { "going": 0, "waitlisted": 0, "spots_left": 0 }, "url": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}